Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 206060 - crashes on startup
Summary: crashes on startup
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: alacarte
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-09-11 19:16 UTC by Bill Nottingham
Modified: 2014-03-17 03:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-07 21:02:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 355808 None None None Never

Description Bill Nottingham 2006-09-11 19:16:27 UTC
[notting@apone: ~]$ alacarte 
Traceback (most recent call last):
  File "/usr/bin/alacarte", line 36, in ?
    main()
  File "/usr/bin/alacarte", line 32, in main
    app = MainWindow(datadir, version, sys.argv)
  File "/usr/lib/python2.4/site-packages/Alacarte/MainWindow.py", line 45, in
__init__
    self.editor = MenuEditor()
  File "/usr/lib/python2.4/site-packages/Alacarte/MenuEditor.py", line 36, in
__init__
    self.__loadMenus()
  File "/usr/lib/python2.4/site-packages/Alacarte/MenuEditor.py", line 42, in
__loadMenus
    self.applications.path = os.path.join(util.getUserMenuPath(),
self.applications.tree.get_menu_file())
  File "/usr/lib/python2.4/site-packages/Alacarte/util.py", line 132, in
getUserMenuPath
    os.makedirs(menu_dir)
  File "/usr/lib64/python2.4/os.py", line 159, in makedirs
    mkdir(name, mode)
OSError: [Errno 20] Not a directory: '/home/devel/notting/.config/menus'
[notting@apone: ~]$ rpm -q alacarte
alacarte-0.10.0-1.fc6

Comment 1 Matthias Clasen 2006-09-12 04:01:05 UTC
does not happen here. 
What is ~/.config/menus, if not a directory ?

Comment 2 Bill Nottingham 2006-09-12 04:29:24 UTC
[notting@devserv: ~]$ cd ~/.config
-bash: cd: /home/devel/notting/.config: Not a directory

The parent dir isn't there...

Comment 3 Matthias Clasen 2006-09-12 14:10:12 UTC
if I rm -rf ~/.config and run alacarte, it works fine...

Comment 4 Bill Nottingham 2006-09-12 15:29:45 UTC
Whoops, that's what I get for commenting at midnight. 

.config is a regular file.

Comment 5 Matthias Clasen 2006-09-12 19:19:49 UTC
Hardly a blocker bug, unless some other tool we ship creates a $HOME/.config 
file. Of course, alacarte could handle this nicer...

Comment 6 Bill Nottingham 2006-09-12 19:36:05 UTC
What does it use this for - what is it storing?

Is this part of a xdg-ish standard, or alacarte-specific?

Comment 7 Matthias Clasen 2006-09-12 21:13:01 UTC
part of the basedir spec, which talks about things like
XDG_DATA_DIRS, XDG_DATA_HOME, etc

Comment 8 Ray Strode [halfline] 2007-03-06 18:38:20 UTC
Do you have any idea how the file got created?

Was it some kernel .config file laying around?  

Maybe we should pop up a dialog and say something like "In order to successfully
edit menus, there needs to be a folder in your home directory called '%s'. 
Unfortunately, there is a file with that name in the way.  Would you like to
rename the file to '%s'?

[Quit] [Rename Conflicting File]

well something roughly like that anyway.

Comment 9 Bill Nottingham 2007-03-07 20:41:15 UTC
Yeah, it was a random kernel .config file. I dunno, I suppose this is probably
an upstream bug at this point.

Comment 10 Ray Strode [halfline] 2007-03-07 21:02:28 UTC
ah looks like it already got fixed upstream too.



Note You need to log in before you can comment on or make changes to this bug.